System requirements

GroupDocs.Translation Cloud is an on-demand service hosted in Aspose Cloud. As such, it has no specific device or operating system requirements and can be used with any programming language that supports HTTPS requests: .NET, Java, PHP, JavaScript (AJAX), Ruby, Python, Kotlin, Go, Node.js, C++, and many more.

You can also use third party REST clients like cURL or Postman.

The only requirement is that the device must have access to the Internet and the application must not be blocked by a firewall.